<?xml version="1.0" encoding="ISO-8859-1"?>
<documents xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:noNamespaceSchemaLocation="../../../defs/config-metier/documents-def.xsd">
    <document 
        balise="Referentiel" 
        extension="xml" 
        id="ref-collec-spl" 
        import-class="fr.gouv.finances.dgfip.xemelios.refCollecSpl.importer.RefCollecSplImporter" 
        persistence-config="ref-collec-spl/ref-collec-spl-persist.xml" 
        referentiel="undefined" 
        titre="Référentiel des collectivités SPL" 
        natIdColl="AUTRE">
        <namespaces>
            <ns prefix="n" uri="dgfip:collectivite.spl"/>
            <ns prefix="added" uri="http://projets.admisource.gouv.fr/xemelios/namespaces#added"/>
        </namespaces>
        
        <collectivite-path id="cp1">
            <code-path>/Referentiel/Coll/@code</code-path>
            <libelle-path>/Referentiel/Coll/@libelle</libelle-path>
        </collectivite-path>
        <budget-path id="bp1">
            <code-path>/Referentiel/Budg/@code</code-path>
            <libelle-path>/Referentiel/Budg/@libelle</libelle-path>
        </budget-path>
        
        <entete id="e1">Exercice</entete>
        <entete id="e2">Coll</entete>
        <entete id="e3">Budg</entete>
        <etat 
            balise="CollectivitesSPL" 
            balise-namespace="dgfip:collectivite.spl" 
            id="Referentiel" 
            titre="Référentiel" use-external-browser="false" importable-element="Collectivite" xslt-file="">
            <element balise="Collectivite" id="Collectivite" max-display="500" titre="Collectivite">
                <path>/n:Referentiel/n:CollectivitesSPL/n:Collectivite</path>
                <liste-resultat ordre="ASC" tri-defaut="lr1">
                    <widget id="w1" class="fr.gouv.finances.dgfip.xemelios.refCollecSpl.widgets.CopyValueWidget" libelle="Copier le Budget principal">
                        <parameter name="hidden" value="budg-princ"/>
                    </widget>
                    <widget id="w2" class="fr.gouv.finances.dgfip.xemelios.refCollecSpl.widgets.CopyValueWidget" libelle="Copier l&apos;identifiant">
                        <parameter name="hidden" value="idColl"/>
                    </widget>
                    <widget class="fr.gouv.finances.dgfip.xemelios.refCollecSpl.widgets.OpenCgSplWidget" libelle="Visualiser le Compte de gestion" id="w3">
                        <parameter name="exer.field" value="exer"/>
                        <parameter name="idColl.field" value="idColl"/>
                        <parameter name="codBudg.field" value="codBudg"/>
                    </widget>
                    <hidden name="idColl">
                        <valeur>@idColl</valeur>
                    </hidden>
                    <hidden name="budg-princ">
                        <valeur>@budget-princ</valeur>
                    </hidden>
                    <hidden name="exer">
                        <valeur>../../n:Exercice/text()</valeur>
                    </hidden>
                    <hidden name="codBudg">
                        <valeur>@codBudg</valeur>
                    </hidden>
                    
                    
                    <champ id="c1" libelle="Exercice">
                        <valeur>../../n:Exercice/text()</valeur>
                    </champ>
                    <champ id="lr5"  libelle="Codique">
                        <valeur>@codic</valeur>
                    </champ>
                    <champ id="lr2"  libelle="Code collectivité">
                        <valeur>@codColl</valeur>
                    </champ>
                    <champ id="lr4"  libelle="Code budget">
                        <valeur>@codBudg</valeur>
                    </champ>
                    <champ id="lr3"  libelle="Identifiant budget">
                        <valeur>@idColl</valeur>
                    </champ>
                    <champ id="lr8"  libelle="Code INSEE">
                        <valeur>@codeInsee</valeur>
                    </champ>
                    <champ id="lrArch" libelle="Importé">
                        <valeur>@archive</valeur>
                    </champ>
                    
                    <champ id="lr6"  libelle="Libellé budget">
                        <valeur>@libelle</valeur>
                    </champ>
                    <champ id="lr1"  libelle="Identifiant du BP">
                        <valeur>@budget-princ</valeur>
                    </champ>
                    <champ id="lr7"  libelle="Libellé poste">
                        <valeur>@libelle-poste</valeur>
                    </champ>
                    <champ id="lr9" libelle="Destinataire">
                        <valeur>@juri-finan</valeur>
                    </champ>
                    <champ id="lr10" libelle="Groupe">
                        <valeur>@groupe</valeur>
                    </champ>
                    <champ id="lr11" libelle="Nomenclature">
                        <valeur>@nomencl</valeur>
                    </champ>
                    
                    
                </liste-resultat>
                <critere id="CRI_EXERCICE" libelle="Exercice">
                    <path>{../../n:Exercice/text()##OPERATEUR:exercice####VALEUR:exercice##}</path>
                    <input id="exercice" datatype="numeric"/>
                </critere>
                <critere id="CRI_REFERENTIEL_COLLECTIVITE_CODIC" libelle="Poste comptable">
                    <path>{##OPERATEUR:codic##(upper-case(@codic),&quot;##VALEUR:codic##&quot;)}</path>
                    <input id="codic" datatype="string" uppercase="true"/>
                </critere>
                <critere id="CRI_REFERENTIEL_COLLECTIVITE_IDCOLL" libelle="Id. collectivité">
                    <path>{##OPERATEUR:idColl##(upper-case(@idColl),&quot;##VALEUR:idColl##&quot;)}</path>
                    <input id="idColl" datatype="string" uppercase="true"/>
                </critere>
                <critere id="CRI_REFERENTIEL_COLLECTIVITE_CODCOLL" libelle="Code collectivité">
                    <path>{##OPERATEUR:codColl##(upper-case(@codColl),&quot;##VALEUR:codColl##&quot;)}</path>
                    <input id="codColl" datatype="string" uppercase="true"/>
                </critere>
                <critere id="CRI_REFERENTIEL_COLLECTIVITE_CODBUDG" libelle="Code budget">
                    <path>{##OPERATEUR:codBudg##(upper-case(@codBudg),&quot;##VALEUR:codBudg##&quot;)}</path>
                    <input id="codBudg" datatype="string" uppercase="true"/>
                </critere>
                <critere id="CRI_REFERENTIEL_COLLECTIVITE_CODEINSEE" libelle="Code Insee">
                    <path>{##OPERATEUR:codeInsee##(upper-case(@codeInsee),&quot;##VALEUR:codeInsee##&quot;)}</path>
                    <input id="codeInsee" datatype="string" uppercase="true"/>
                </critere>
                <critere id="CRI_REFERENTIEL_COLLECTIVITE_BUDGET-PRINC" libelle="Budget principal">
                    <path>{##OPERATEUR:budget-princ##(upper-case(@budget-princ),&quot;##VALEUR:budget-princ##&quot;)}</path>
                    <input id="budget-princ" datatype="string" uppercase="true"/>
                </critere>
                <critere id="CRI_REFERENTIEL_COLLECTIVITE_LIBELLE" libelle="Libellé budget collectivité">
                    <path>{##OPERATEUR:libelle##(upper-case(@libelle),&quot;##VALEUR:libelle##&quot;)}</path>
                    <input id="libelle" datatype="string" uppercase="true"/>
                </critere>
                <critere id="CRI_REFERENTIEL_COLLECTIVITE_LIBELLE-POSTE" libelle="Libellé poste">
                    <path>{##OPERATEUR:libelle-poste##(upper-case(@libelle-poste),&quot;##VALEUR:libelle-poste##&quot;)}</path>
                    <input id="libelle-poste" datatype="string" uppercase="true"/>
                </critere>
                <critere id="juriFi" libelle="Destinataire">
                    <path>{##OPERATEUR:juriFi##(upper-case(@juri-finan),&quot;##VALEUR:juriFi##&quot;)}</path>
                    <input id="juriFi" datatype="string" uppercase="true"/>
                </critere>
                <critere id="groupe" libelle="Groupe">
                    <path>{##OPERATEUR:groupe##(upper-case(@groupe),&quot;##VALEUR:groupe##&quot;)}</path>
                    <input id="groupe" datatype="string" uppercase="true"/>
                </critere>
                <critere id="nomencl" libelle="Nomenclature">
                    <path>{##OPERATEUR:nomencl##(upper-case(@nomencl),&quot;##VALEUR:nomencl##&quot;)}</path>
                    <input id="nomencl" datatype="string" uppercase="true"/>
                </critere>
                <critere id="archive" libelle="Archive">
                    <path>{@archive=&apos;##VALEUR:archive##&apos;}</path>
                    <select id="archive">
                        <option value="Oui">Présente</option>
                        <option value="Non">Absente</option>
                    </select>
                </critere>
            </element>
        </etat>
    </document>
    
</documents>
